[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# TLResourceList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Container class used for Lazarus resource descriptions.

## Declaration

Source position: lresources.pp line 61

`type TLResourceList = class(TObject)`
`public`
`constructor Create;` |  | Constructor for the class instance.
`destructor Destroy; override;` |  | Destructor for the class instance.
`procedure Add();` |  | Adds a resource description to the list with the specified values.
`function Find();` |  | Returns the resource in the list with the given name and type.
`function Count;` |  | Gets the number of resource descriptions in the list.
`property Items []: TLResource; [r]` |  | Provides Indexed access to the resource descriptions in the list.
`end;`

## Inheritance

`TLResourceList` |  | Container class used for Lazarus resource descriptions.
`TObject`